# snd_tplg_pcm_template Struct Reference
[Topology Interface]

Template type for PCM (FE DAI & DAI links). More...

## Data Fields

const char * | pcm_name
const char * | dai_name
unsigned int | pcm_id
unsigned int | dai_id
unsigned int | playback
unsigned int | capture
unsigned int | compress
struct snd_tplg_stream_caps_template * | caps [2]
int | num_streams
struct snd_tplg_stream_template | stream [0]

## Detailed Description

Template type for PCM (FE DAI & DAI links).

## Field Documentation

struct snd_tplg_stream_caps_template* snd_tplg_pcm_template::caps[2]`[read]`

playback & capture for DAI

unsigned int snd_tplg_pcm_template::capture

supports capture mode

unsigned int snd_tplg_pcm_template::compress

1 = compressed; 0 = PCM

unsigned int snd_tplg_pcm_template::dai_id

unique ID - used to match

const char* snd_tplg_pcm_template::dai_name

DAI name

int snd_tplg_pcm_template::num_streams

number of supported configs

unsigned int snd_tplg_pcm_template::pcm_id

unique ID - used to match

const char* snd_tplg_pcm_template::pcm_name

PCM stream name

unsigned int snd_tplg_pcm_template::playback

supports playback mode

struct snd_tplg_stream_template snd_tplg_pcm_template::stream[0]`[read]`

supported configs

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/topology.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines